function platform_shake

//Collectez les hexagons

execute @e[type=zedafox:hexagon] ~ ~ ~ execute @a[r=1] ~ ~ ~ function hexagon
execute @e[type=zedafox:hexagon_got] ~ ~ ~ execute @a[r=1] ~ ~ ~ function hexagon

//Propulsion lors du contact avec la soul sand

execute @a[tag=!incutscene] ~ ~ ~ kill @s[x=~,y=39,z=~,r=2]
execute @a ~ ~ ~ detect ~ ~-1 ~ soul_sand 0 scoreboard players set @s soulsand 5
execute @a[scores={soulsand=1..5}] ~ ~ ~ function bubble_jump
execute @a[tag=player] ~ ~ ~ function display

//Scoreboard des erreurs du aux boutons next level ou previous level

scoreboard players set @a[scores={error_p=13..}] error_p 0
scoreboard players add @a[scores={error_p=1..}] error_p 1
scoreboard players set @a[scores={error_n=13..}] error_n 0
scoreboard players add @a[scores={error_n=1..}] error_n 1

//Se teleporter au prochain niveau

execute @e[type=zedafox:teleporter] ~ ~ ~ function level_completed
execute @a[scores={teleporter=1..20}] ~ ~ ~ function teleporter

execute @a[scores={error_p=1..13}] ~ ~ ~ function level_error
execute @a[scores={error_n=1..13}] ~ ~ ~ function level_error


//Utilisation des bottes volantes

scoreboard players add @a[scores={flying=1..}] flying 1
gamemode 2 @a[scores={flying=3}]
scoreboard players set @a[scores={flying=3..}] flying 0

//Utilisation de la plateforme double saut

execute @e[type=zedafox:platform7] ~ ~ ~ execute @a[r=1.5] ~ ~ ~ function set_doublejump
execute @e[type=zedafox:platform8] ~ ~ ~ execute @a[r=1.5] ~ ~ ~ function set_doublejump2
execute @a[scores={doublejump=1..5}]~ ~ ~ function platform/platform7
execute @a[scores={doublejump=7..11}]~ ~ ~ function platform/platform7_2
execute @a[scores={doublejump=6}] ~ ~ ~ particle zedafox:effect_orange ~ ~ ~
execute @a[scores={doublejump=12}] ~ ~ ~ particle zedafox:effect_purple ~ ~ ~


//Plateformes-Mecanique et leur particularit?s

execute @e[tag=move] ~ ~ ~ function platform/platform
execute @e[type=zedafox:platform2] ~ ~ ~ function platform/platform2
execute @e[family=bigsnowball] ~ ~ ~ function platform/snowball
execute @e[family=summoner] ~ ~ ~ function platform/summoner_snowball
execute @e[family=lollypop] ~ ~ ~ function platform/platform_lollypop
execute @e[type=zedafox:cannonball] ~ ~ ~ function platform/cannonball
execute @e[type=zedafox:cannon] ~ ~ ~ function platform/cannon
execute @e[family=moving] ~ ~ ~ function platform/platform13
execute @e[type=zedafox:mp] ~ ~ ~ function platform/moving_platform_setup
execute @e[family=fireball] ~ ~ ~ function platform/fireball
execute @e[type=zedafox:summoner_fireball] ~ ~ ~ function platform/summoner_fireball
execute @e[type=zedafox:cannonball2] ~ ~ ~ function platform/cannonball2
execute @e[type=zedafox:cannonbutton] ~ ~ ~ function platform/cannonbutton
execute @e[type=zedafox:boss] ~ ~ ~ function platform/boss
execute @e[type=zedafox:fireballrush] ~ ~ ~ function platform/fireballrush
execute @e[type=zedafox:frog2] ~ ~ ~ function platform/frog
execute @e[type=zedafox:summoner_minecart] ~ ~ ~ function platform/summoner_minecart
execute @e[family=memory] ~ ~ ~ function platform/platform17
execute @e[type=zedafox:cutscene] ~ ~ ~ function cutscene
execute @e[type=zedafox:minecartt] ~ ~ ~ function platform/minecart
execute @e[type=zedafox:platform_wall] ~ ~ ~ function platform/platform_wall
execute @e[type=zedafox:boxlaser] ~ ~ ~ function platform/boxlaser
execute @e[type=zedafox:summoner_bubble] ~ ~ ~ function platform/bubble
execute @e[type=zedafox:bubble] ~ ~ ~ function platform/bubble2
 
//

scoreboard players remove @a[scores={air=1..}] air 1
execute @a ~ ~ ~ detect ~ ~-1 ~ air 0 execute @s ~ ~ ~ detect ~1 ~-1 ~ air 0 execute @s ~ ~ ~ detect ~-1 ~-1 ~ air 0 execute @s ~ ~ ~ detect ~ ~-1 ~1 air 0 execute @s ~ ~ ~ detect ~ ~-1 ~-1 air 0 scoreboard players set @s air 2

effect @a[scores={level=41..45}] night_vision 15 1 true

// Vitessse des boules de feu

tag @e[type=zedafox:fireball] add speed1
tag @e[type=zedafox:fireball2] add speed2
tag @e[type=zedafox:fireball3] add speed3
tag @e[type=zedafox:fireball4] add speed4
tag @e[type=zedafox:fireball5] add speed5
tag @e[type=zedafox:fireball6] add speed6

// Joueurs

execute @a[scores={transition=1..300}] ~ ~ ~ function transition/world2
execute @a[scores={music=1..2600}] ~ ~ ~ function transition/lvl50_music
execute @a[x=2993,y=49,z=0,r=30] ~ ~ ~ effect @s[y=45,r=3] levitation 1 8 true

execute @e[type=zedafox:checkpoint,tag=!verified] ~ ~ ~ execute @a[r=2.5] ~ ~ ~ function checkpoint
execute @e[type=zedafox:checkpoint,scores={checkpoint=0..60}] ~ ~ ~ function checkpoint2 

execute @a[scores={spawn=1..}] ~ ~ ~ function spawn2
scoreboard players add @a spawn 0

effect @a[tag=boots] jump_boost 15 3 true

execute @e[type=zedafox:robot] ~ ~ ~ tp @s ~ ~ ~ facing @p

scoreboard players remove @a[scores={in_minecart=1..10}] in_minecart 1
execute @a[scores={in_minecart=9..10}] ~ ~ ~ function platform/in_minecart
execute @a[scores={in_minecart=5}] ~ ~ ~ function platform/out_minecart

execute @a[scores={cutscene=1..550}] ~ ~ ~ function cutscene/bossdead
scoreboard players set @a[x=2018,y=55,z=6,r=3,scores={cutscene=551,dialog=0}] dialog 1
execute @a[scores={dialog=1..241}] ~ ~ ~ function cutscene/birdchat
execute @a[scores={dialog=243..270}] ~ ~ ~ function cutscene/birdchat
execute @a[scores={time4=1..90}] ~ ~ ~ function cutscene/skipcutscene 
execute @a[scores={dialog2=-300..-1}] ~ ~ ~ function cutscene/dialog/dialog1
execute @a[scores={dialog2=1..1801}] ~ ~ ~ function cutscene/dialog/dialog1
execute @a[scores={dialog2=1803..1960}] ~ ~ ~ function cutscene/dialog/dialog1


execute @a[scores={chat1=1}] ~ ~ ~ function cutscene/dialog/dialog2
execute @a[scores={chat1=2}] ~ ~ ~ function cutscene/dialog/dialog3
execute @a[scores={chat1=3}] ~ ~ ~ function cutscene/dialog/dialog4
execute @a[scores={chat1=4}] ~ ~ ~ function cutscene/dialog/dialog5
execute @a[scores={chat1=5}] ~ ~ ~ function cutscene/dialog/dialog6
execute @a[scores={chat1=6}] ~ ~ ~ function cutscene/dialog/dialog7

execute @a ~ ~ ~ effect @s[tag=incutscene,y=48,r=3] levitation 1 10 true

execute @a[x=2978,y=54,z=1,r=2,tag=!hverified,scores={hexagon=50}] ~ ~ ~ function allhexagon
execute @a[tag=!done,tag=timer,m=c,tag=!cheat] ~ ~ ~ function stopspeedrun
execute @a[scores={level=54..55}] ~ ~ ~ function FunctionThatAllowsYouToFixAMinecraftBug

scoreboard players remove @a[scores={bubble=1..}] bubble 1

// BUTTON

execute @e[type=zedafox:button_clicked,tag=!verified] ~ ~ ~ playsound click_button @a ~ ~ ~
tag @e[type=zedafox:button_clicked] add verified
execute @e[type=zedafox:button,tag=!verified] ~ ~ ~ playsound unclick_button @a ~ ~ ~
tag @e[type=zedafox:button] add verified


// INTRO AVEC L'OISEAU

execute @a[x=2015,y=51,z=5,r=3,tag=!intro] ~ ~ ~ scoreboard players set @s dialog2 1
tag @a[x=2015,y=51,z=5,r=3,tag=!intro] add intro
tellraw @a[x=2982,y=56,z=-15,r=8,tag=!intro] {"rawtext":[{"text":"§cSorry, you have to start the adventure first\n§7§oClick on the red button at the spawn"}]}
execute @a[x=2982,y=56,z=-15,r=8,tag=!intro] ~ ~ ~ tp @s 2978 54 1 -90 0